# ApplicationFramework
TKPShape
PTopLoc

# PTopLoc_ItemLocation Class Reference

`#include <PTopLoc_ItemLocation.hxx>`

## Public Member Functions

Standard_EXPORT | PTopLoc_ItemLocation (const Handle(PTopLoc_Datum3D)&D, const Standard_Integer P, const PTopLoc_Location &N)
Standard_EXPORT Handle_PTopLoc_Datum3D | Datum3D () const
Standard_EXPORT Standard_Integer | Power () const
Standard_EXPORT PTopLoc_Location | Next () const
| PTopLoc_ItemLocation ()
| PTopLoc_ItemLocation (const Storage_stCONSTclCOM &a)
| Handle (PTopLoc_Datum3D) _CSFDB_GetPTopLoc_ItemLocationmyDatum() const
void | _CSFDB_SetPTopLoc_ItemLocationmyDatum (const Handle(PTopLoc_Datum3D)&p)
Standard_Integer | _CSFDB_GetPTopLoc_ItemLocationmyPower () const
void | _CSFDB_SetPTopLoc_ItemLocationmyPower (const Standard_Integer p)
const PTopLoc_Location & | _CSFDB_GetPTopLoc_ItemLocationmyNext () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PTopLoc_Datum3D | myDatum
Standard_Integer | myPower
PTopLoc_Location | myNext

## Constructor & Destructor Documentation

Standard_EXPORT PTopLoc_ItemLocation::PTopLoc_ItemLocation | ( | const Handle(PTopLoc_Datum3D)& | D,
|  | const Standard_Integer | P,
|  | const PTopLoc_Location & | N
| ) |

PTopLoc_ItemLocation::PTopLoc_ItemLocation | ( |  | ) | `[inline]`

PTopLoc_ItemLocation::PTopLoc_ItemLocation | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PTopLoc_Location& PTopLoc_ItemLocation::_CSFDB_GetPTopLoc_ItemLocationmyNext | ( |  | ) | const`[inline]`

Standard_Integer PTopLoc_ItemLocation::_CSFDB_GetPTopLoc_ItemLocationmyPower | ( |  | ) | const`[inline]`

void PTopLoc_ItemLocation::_CSFDB_SetPTopLoc_ItemLocationmyDatum | ( | const Handle(PTopLoc_Datum3D)& | p | ) | `[inline]`

void PTopLoc_ItemLocation::_CSFDB_SetPTopLoc_ItemLocationmyPower | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Handle_PTopLoc_Datum3D PTopLoc_ItemLocation::Datum3D | ( |  | ) | const

Standard_EXPORT const PTopLoc_ItemLocation::Handle | ( | Standard_Type |  | ) | const

PTopLoc_ItemLocation::Handle | ( | PTopLoc_Datum3D |  | ) | const`[inline]`

Standard_EXPORT PTopLoc_Location PTopLoc_ItemLocation::Next | ( |  | ) | const

Standard_EXPORT Standard_Integer PTopLoc_ItemLocation::Power | ( |  | ) | const

## Field Documentation

Handle_PTopLoc_Datum3D PTopLoc_ItemLocation::myDatum `[private]`

PTopLoc_Location PTopLoc_ItemLocation::myNext `[private]`

Standard_Integer PTopLoc_ItemLocation::myPower `[private]`

The documentation for this class was generated from the following file:

- PTopLoc_ItemLocation.hxx